#ifdef GL_ES
precision highp  float;
#else
#define highp
#define mediump
#define lowp
#endif

varying vec2 texcoordOut;

uniform sampler2D inputImageTexture0;
uniform sampler2D inputImageTexture1;

uniform float alpha;

void main()
{
    vec4 orgColor = texture2D(inputImageTexture0, texcoordOut);
    vec4 midimColor = texture2D(inputImageTexture1, texcoordOut);

    gl_FragColor = mix(orgColor, midimColor, alpha);
}
