@file:JvmName("PrinterStatisticUtils")

package com.meitu.wheecam.tool.printer

import com.meitu.wheecam.common.statistic.SelfieCityAnalyticsAgent

/**
 * 点击文字进入照片打印展示上报
 */
fun reportPinterTextEnter() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_text_enter")
}

/**
 * 首页拍照页入口显示上报统计
 */
fun reportEditSaveShow() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_show", "位置", "编辑保存页")
}

/**
 * 首页拍照页入口点击上报统计
 */
fun reportEditSaveEnter() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_img_enter", "位置", "编辑保存页")
}

/**
 * 首页拍照页入口显示上报统计
 */
fun reportConfirmShow() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_show", "位置", "拍后页")
}

/**
 * 首页拍照页入口点击上报统计
 */
fun reportConfirmEnter() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_img_enter", "位置", "拍后页")
}

/**
 * 首页拍照页入口显示上报统计
 */
fun reportMainShow() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_show", "位置", "首页")
}

/**
 * 在拍立得拍照完成页面，展示免费打印按钮时候报
 */
fun reportPhotoShow() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_show", "位置", "拍立得拍后")
}

/**
 * 在拍立得拍照完成页面，点击免费打印按钮时候报
 */
fun reportPhotoImgEnter() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_img_enter", "位置", "拍立得拍后")
}

/**
 * 首页拍照页入口点击上报统计
 */
fun reportMainEnter() {
    SelfieCityAnalyticsAgent.logEvent("print_photo_img_enter", "位置", "首页")
}