package com.meitu.wheecam.tool.privacy

import android.content.Context
import android.text.TextPaint
import android.text.style.ClickableSpan
import android.view.View
import com.meitu.wheecam.common.web.ui.WebViewActivity

/**
 * 隐私点击跳转样式
 * <p>
 * Created by DaveZ 2019/2/22
 */
class PrivacyClickableSpan(val context: Context, val url: String) : ClickableSpan() {

    override fun onClick(widget: View) {
        context.startActivity(WebViewActivity.createSetting(context, url))
    }

    override fun updateDrawState(ds: TextPaint) {
        ds.color = ds.linkColor
        ds.isUnderlineText = false
    }
}